Bug 466193 - Review Request: alee-fonts - Korean TrueType Fonts
Review Request: alee-fonts - Korean TrueType Fonts
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nicolas Mailhot
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-08 20:13 EDT by Dennis Jang
Modified: 2009-06-02 01:30 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-02 01:30:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Jang 2008-10-08 20:13:55 EDT
Spec URL: http://smallvil.fedorapeople.org/rpm/alee-fonts/alee-fonts.spec
SRPM URL: http://smallvil.fedorapeople.org/rpm/alee-fonts/srpm/alee-fonts-12-1.fc9.src.rpm
Description: Alee family of Korean TrueType fonts
Comment 1 Nicolas Mailhot 2008-10-10 15:45:44 EDT
Please follow the process described on
http://fedoraproject.org/wiki/Font_package_lifecycle

and in particular make sure you have a page describing your font on
http://fedoraproject.org/wiki/Category:In-progress_fonts

by the time you post your review request.

Thanks
Comment 2 Nicolas Mailhot 2008-10-13 17:42:08 EDT
Also please split the package in individual font families. I guess you have a good example in un-extra-fonts now.

And you need to ask spot to add the Artistic License 2 to the list of approved Fedora font licenses, though I don't think this will be any problem
Comment 3 Nicolas Mailhot 2008-10-26 07:37:15 EDT
Setting needinfo till the requested changes are done. Please remove the flag when the next version of the spec is ready
Comment 4 Nicolas Mailhot 2008-11-17 04:53:01 EST
Ping?
Comment 5 Nicolas Mailhot 2008-12-21 16:43:55 EST
[This is a simplified version of the message sent to every package maintainer that ships TTF/OTF/Type1 fonts in Fedora.]

Our font packaging guidelines have now changed. New font package submissions must now be adapted to the new templates available in the fontpackages-devel
package:
 – http://fedoraproject.org/wiki/fontpackageshttp://fedoraproject.org/wiki/Simple_fonts_spec_templatehttp://fedoraproject.org/wiki/Fonts_spec_template_for_multiple_fonts

It is preferred to create a font package or subpackage per font family, though
it is not currently a hard guidelines requirement.
http://fedoraproject.org/wiki/PackagingDrafts/Font_package_splitting_rules_(2008-12-21)
has been submitted for FPC and FESCO approval today.

The new templates should make the creation of font packages easy and safe. 

The following packages have already been converted by their packager in fedora-devel and can serve as examples:
❄ abyssinica-fonts
❄ andika-fonts
❄ apanov-heuristica-fonts
❄ bitstream-vera-fonts
❄ charis-fonts
❄ dejavu-fonts
❄ ecolier-court-fonts
❄ edrip-fonts
❄ gfs-ambrosia-fonts
❄ gfs-artemisia-fonts
❄ gfs-baskerville-fonts
❄ gfs-bodoni-classic-fonts
❄ gfs-bodoni-fonts
❄ gfs-complutum-fonts
❄ gfs-didot-classic-fonts
❄ gfs-didot-fonts
❄ gfs-eustace-fonts
❄ gfs-fleischman-fonts
❄ gfs-garaldus-fonts
❄ gfs-gazis-fonts
❄ gfs-jackson-fonts
❄ gfs-neohellenic-fonts
❄ gfs-nicefore-fonts
❄ gfs-olga-fonts
❄ gfs-porson-fonts
❄ gfs-solomos-fonts
❄ gfs-theokritos-fonts
❄ nafees-web-naskh-fonts
❄ stix-fonts
❄ yanone-kaffeesatz-fonts

The new spec templates have been designed to be easy to update to from the previous guidelines, and to remove complexity from font packages. To help new package creation the fontpackages-devel package has been made available in Fedora 9 and 10.

If you have any remaining questions about the new guidelines please ask them
on:
fedora-fonts-list at redhat.com
Comment 6 Parag Nemade 2009-06-02 01:30:21 EDT
Its almost 8 months and no reply from submitter, I will close this review now. Anyone interested please submit new package review.
Smallvil,
   If you are still following this review and want to package this, submit updated package.

Note You need to log in before you can comment on or make changes to this bug.